local C, F, L = unpack(select(2, ...))

---- ----------------------------------
-->> SavedVariables
---- ----------------------------------

L.DB = {
	["Pos"] = {
		["Player"]	= {["x"] = -830, ["y"] = -300,},
		["Target"]	= {["y"] = -100,},
		["Focus"]	= {["x"] = -450, ["y"] = -50,},
		["FCS"]		= {["y"] = -240,},
		["Minimap"]	= {["x"] = -244, ["y"] = -174,},
		["AuraWatch"] = {["x"] = -239.85, ["y"] = 14.59}
	},
	["Hide_Blizzard"] = true,
	["Hide_TopBottomBorder"] = false,
	["Hide_Minimap"] = false,
	["WTF_AuraWatch"] = true,
	
	["OwD_RuneBar"] = true,
	["OwD_HunterAlone"] = true,
	["OwD_MinimapScale"] = 1,
}

OwD_DB = L.DB
local OwD_Config = CreateFrame("Frame", nil, UIParent)
OwD_Config:RegisterEvent("ADDON_LOADED")
OwD_Config:SetScript("OnEvent", function(self, event, addon)
	if addon == "OwD" then
		for key, value in pairs(L.DB) do
			if OwD_DB[key] == nil then
				if type(value) == "table" then
					OwD_DB[key] = {}
					for k, v in pairs(value) do
						OwD_DB[key][k] = value[k]
					end
				else
					OwD_DB[key] = value
				end
			else
				if type(value) == "table" then
					for k, v in pairs(value) do
						if OwD_DB[key][k] == nil then
							OwD_DB[key][k] = value[k]
						end
					end
				end
			end
		end
		if OwD_DB["AuraFilter"] == nil then
			OwD_DB["AuraFilter"] = {}
			for k1, v1 in pairs(L.AuraFilter) do
				if OwD_DB["AuraFilter"][k1] == nil then
					OwD_DB["AuraFilter"][k1] = {}
					if type(v1) == "table" then
						for k2, v2 in pairs(v1) do
							OwD_DB["AuraFilter"][k1][k2] = v1[k2]
						end
					else
						OwD_DB["AuraFilter"][k1] = v1
					end
				end
			end
		end
		------------------------------------------------------------------
		L.Minimap(OwD)
		L.init_Config(OwD)
	end
end)